PETSc version 3.17.4
Fix/Edit manual page

# PCFactorGetAllowDiagonalFill

Determines if all diagonal matrix entries are treated as level 0 fill even if there is no non-zero location.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorGetAllowDiagonalFill(PC pc,PetscBool *flg)

Logically Collective on PC

### Input Parameter

| pc | - the preconditioner context

### Output Parameter

| flg | - PETSC_TRUE to turn on, PETSC_FALSE to turn off

### Notes

Does not apply with 0 fill.

### See Also

PCFactorSetAllowDiagonalFill()

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Implementations

PCFactorGetAllowDiagonalFill_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages